using System;
using System.Windows.Input;

internal sealed class Delegate557 : MulticastDelegate
{
	public extern void Invoke(object object_0, TextCompositionEventHandler textCompositionEventHandler_0);

	public static void smethod_0(object object_0, TextCompositionEventHandler textCompositionEventHandler_0, Delegate557 delegate557_1)
	{
		delegate557_1(object_0, textCompositionEventHandler_0);
	}

	public extern Delegate557(object object_0, IntPtr intptr_0);

	static Delegate557()
	{
		Class10.smethod_13(typeof(Delegate557).TypeHandle);
	}

	internal static Delegate557 delegate557_0;
}
